Get encounter detail
GET/v1/encounters/:id
Fetch encounter detail by numeric ID or PR reference.
If the value is not numeric and does not start with PR-, the server will prepend PR- automatically.
Request
Path Parameters
id stringrequired
Encounter numeric ID or PR reference (e.g. 123 or PR-ABCDE or ABCDE).
Responses
- 200
- 401
- 403
- 404
Success
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
- Array [
- ]
success boolean
data object
id integer
req_id string
hmo_id integer
provider_id integer
enrollee_id integer
encounter_date date
status string
enrollee object
id integer
firstname string
lastname string
insurance_no string
sex stringnullable
birthdate datenullable
age integernullable
provider object
id integer
name string
hmo object
id integer
name string
currency string
prescriptions object[]
id integer
name string
quantity double
unit_price double
total_amount double
approved_amount doublenullable
co_payment_value doublenullable
co_payment_amount doublenullable
status string
dispensed_by_user objectnullable
id integer
provider objectnullable
id integer
name string
pa_requests object[]
id integer
code string
{
"success": true,
"data": {
"id": 123,
"req_id": "PR-HMOE01",
"hmo_id": 10,
"provider_id": 51,
"enrollee_id": 9001,
"encounter_date": "2026-02-24",
"status": "completed",
"enrollee": {
"id": 0,
"firstname": "string",
"lastname": "string",
"insurance_no": "string",
"sex": "string",
"birthdate": "2026-02-24",
"age": 0
},
"provider": {
"id": 0,
"name": "string"
},
"hmo": {
"id": 0,
"name": "string",
"currency": "string"
},
"prescriptions": [
{
"id": 0,
"name": "string",
"quantity": 0,
"unit_price": 0,
"total_amount": 0,
"approved_amount": 0,
"co_payment_value": 0,
"co_payment_amount": 0,
"status": "string",
"dispensed_by_user": {
"id": 0,
"provider": {
"id": 0,
"name": "string"
}
}
}
],
"pa_requests": [
{
"id": 0,
"code": "string"
}
]
}
}
Unauthenticated
Forbidden (feature not enabled for this Insurer/HMO)
Not found
Loading...